
<!doctype html>
<html lang="en-US">
<head>
	<script src="//www.lighting.philips.com/assets/scripts/tms_code.js"></script>  
	<meta charset="utf-8">
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<title>Get Started &#8211; Philips Hue Developer Program</title>

	<!-- Meta Tag Manager -->
	<meta name="PHILIPS.METRICS.DIVISION" content="CP" />
	<meta name="PHILIPS.METRICS.COUNTRY" content="Global" />
	<meta name="PHILIPS.METRICS.LANGUAGE" content="En" />
	<meta name="PHILIPS.METRICS.SECTION" content="hue_developer_program_portal" />
	<meta name="PHILIPS.METRICS.MICROSITEID" content="UNKNOWN" />
	<meta name="PHILIPS.METRICS.PAGENAME" content="job_vacancies" />
	<meta name="PHILIPS.METRICS.PAGENAME" content="develop:get_started" />
	<!-- / Meta Tag Manager -->
<link rel='dns-prefetch' href='//s.w.org' />
<link rel="alternate" type="application/rss+xml" title="Philips Hue Developer Program &raquo; Feed" href="https://developers.meethue.com/feed/" />
<link rel="alternate" type="application/rss+xml" title="Philips Hue Developer Program &raquo; Comments Feed" href="https://developers.meethue.com/comments/feed/" />
		<script type="text/javascript">
			window._wpemojiSettings = {"baseUrl":"https:\/\/s.w.org\/images\/core\/emoji\/12.0.0-1\/72x72\/","ext":".png","svgUrl":"https:\/\/s.w.org\/images\/core\/emoji\/12.0.0-1\/svg\/","svgExt":".svg","source":{"concatemoji":"https:\/\/developers.meethue.com\/wp-includes\/js\/wp-emoji-release.min.js"}};
			!function(e,a,t){var r,n,o,i,p=a.createElement("canvas"),s=p.getContext&&p.getContext("2d");function c(e,t){var a=String.fromCharCode;s.clearRect(0,0,p.width,p.height),s.fillText(a.apply(this,e),0,0);var r=p.toDataURL();return s.clearRect(0,0,p.width,p.height),s.fillText(a.apply(this,t),0,0),r===p.toDataURL()}function l(e){if(!s||!s.fillText)return!1;switch(s.textBaseline="top",s.font="600 32px Arial",e){case"flag":return!c([127987,65039,8205,9895,65039],[127987,65039,8203,9895,65039])&&(!c([55356,56826,55356,56819],[55356,56826,8203,55356,56819])&&!c([55356,57332,56128,56423,56128,56418,56128,56421,56128,56430,56128,56423,56128,56447],[55356,57332,8203,56128,56423,8203,56128,56418,8203,56128,56421,8203,56128,56430,8203,56128,56423,8203,56128,56447]));case"emoji":return!c([55357,56424,55356,57342,8205,55358,56605,8205,55357,56424,55356,57340],[55357,56424,55356,57342,8203,55358,56605,8203,55357,56424,55356,57340])}return!1}function d(e){var t=a.createElement("script");t.src=e,t.defer=t.type="text/javascript",a.getElementsByTagName("head")[0].appendChild(t)}for(i=Array("flag","emoji"),t.supports={everything:!0,everythingExceptFlag:!0},o=0;o<i.length;o++)t.supports[i[o]]=l(i[o]),t.supports.everything=t.supports.everything&&t.supports[i[o]],"flag"!==i[o]&&(t.supports.everythingExceptFlag=t.supports.everythingExceptFlag&&t.supports[i[o]]);t.supports.everythingExceptFlag=t.supports.everythingExceptFlag&&!t.supports.flag,t.DOMReady=!1,t.readyCallback=function(){t.DOMReady=!0},t.supports.everything||(n=function(){t.readyCallback()},a.addEventListener?(a.addEventListener("DOMContentLoaded",n,!1),e.addEventListener("load",n,!1)):(e.attachEvent("onload",n),a.attachEvent("onreadystatechange",function(){"complete"===a.readyState&&t.readyCallback()})),(r=t.source||{}).concatemoji?d(r.concatemoji):r.wpemoji&&r.twemoji&&(d(r.twemoji),d(r.wpemoji)))}(window,document,window._wpemojiSettings);
		</script>
		<style type="text/css">
img.wp-smiley,
img.emoji {
	display: inline !important;
	border: none !important;
	box-shadow: none !important;
	height: 1em !important;
	width: 1em !important;
	margin: 0 .07em !important;
	vertical-align: -0.1em !important;
	background: none !important;
	padding: 0 !important;
}
</style>
	<link rel='stylesheet' id='wp-block-library-css'  href='https://developers.meethue.com/wp-includes/css/dist/block-library/style.min.css' type='text/css' media='all' />
<link rel='stylesheet' id='tabulate-timepicker-css'  href='https://developers.meethue.com/wp-content/plugins/tabulate/assets/jquery-ui-timepicker-addon.css' type='text/css' media='all' />
<link rel='stylesheet' id='tabulate-leaflet-css'  href='https://developers.meethue.com/wp-content/plugins/tabulate/assets/leaflet/css/leaflet.css' type='text/css' media='all' />
<link rel='stylesheet' id='tabulate-jquery-ui-css'  href='https://developers.meethue.com/wp-content/plugins/tabulate/assets/jquery-ui/themes/base/jquery-ui.min.css' type='text/css' media='all' />
<link rel='stylesheet' id='tabulate-styles-css'  href='https://developers.meethue.com/wp-content/plugins/tabulate/assets/style.css' type='text/css' media='all' />
<link rel='stylesheet' id='hue_developer_theme-style-css'  href='https://developers.meethue.com/wp-content/themes/hue_developer_theme/style.css' type='text/css' media='all' />
<link rel='stylesheet' id='newsletter-css'  href='https://developers.meethue.com/wp-content/plugins/newsletter/style.css' type='text/css' media='all' />
<link rel='stylesheet' id='newsletter-leads-css'  href='https://developers.meethue.com/wp-content/plugins/newsletter-leads/css/leads.css' type='text/css' media='all' />
<style id='newsletter-leads-inline-css' type='text/css'>
            #simplemodal-container {
            height:450px;
            width:500px;
            }

            .tnp-modal {
            background-color: #38495c !important;
            font-family: "Lato", sans-serif;
            text-align: center;
            padding: 30px;
            }

            #simplemodal-container input.tnp-submit {
                background-color: #5197d5 !important;
                border: none;
                background-image: none;
                color: #fff;
                cursor: pointer;
            }

            #simplemodal-container input[type="submit"]:hover {
            background-color: #5197d5 !important;
            filter: brightness(110%);
            }

            
</style>
<link rel='stylesheet' id='enlighterjs-css'  href='https://developers.meethue.com/wp-content/plugins/enlighter/cache/enlighterjs.min.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_fonticons_ii-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-fonticons-ii.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_fonticons_fa-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-fonticons-fa.css' type='text/css' media='all' />
<link rel='stylesheet' id='select2-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/select2/select2.min.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_crop-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-crop.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_modal-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-modal.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_styles-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-styles.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_ui-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/jquery-ui.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_members-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-members.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_profile-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-profile.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_account-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-account.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_misc-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-misc.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_fileupload-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-fileupload.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_datetime-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/pickadate/default.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_datetime_date-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/pickadate/default.date.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_datetime_time-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/pickadate/default.time.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_raty-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-raty.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_scrollbar-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/simplebar.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_tipsy-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-tipsy.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_responsive-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-responsive.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_default_css-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/css/um-old-default.css' type='text/css' media='all' />
<link rel='stylesheet' id='um_old_css-css'  href='https://developers.meethue.com/wp-content/plugins/ultimate-member/../../uploads/ultimatemember/um_old_settings.css' type='text/css' media='all' />
<script type='text/javascript' src='https://code.jquery.com/jquery-3.4.1.min.js'></script>
<script type='text/javascript' src='https://code.jquery.com/jquery-migrate-3.0.1.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/um-terms-conditions/assets/js/um-terms-conditions-public.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/themes/hue_developer_theme/js/my-scripts.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-gdpr.min.js'></script>

<link rel='shortlink' href='https://developers.meethue.com/?p=122' />
		<style type="text/css">
			.request_name {
				display: none !important;
			}
		</style>
	<link rel="icon" href="https://developers.meethue.com/wp-content/uploads/2018/11/cropped-PhilipsHueFREESTANDING-32x32.jpg" sizes="32x32" />
<link rel="icon" href="https://developers.meethue.com/wp-content/uploads/2018/11/cropped-PhilipsHueFREESTANDING-192x192.jpg" sizes="192x192" />
<link rel="apple-touch-icon-precomposed" href="https://developers.meethue.com/wp-content/uploads/2018/11/cropped-PhilipsHueFREESTANDING-180x180.jpg" />
<meta name="msapplication-TileImage" content="https://developers.meethue.com/wp-content/uploads/2018/11/cropped-PhilipsHueFREESTANDING-270x270.jpg" />
</head>

<body class="page-template-default page page-id-122 page-parent page-child parent-pageid-126">
	<div id="page" class="site">
		<a class="skip-link screen-reader-text" href="#content">Skip to content</a>

		<header >
			<a href="https://developers.meethue.com"><img id="imgm" class src="https://developers.meethue.com/wp-content/themes/hue_developer_theme/img/moblogo.png"></a>
			<div class="bannerDev">
				<nav id="site-navigation" class="main-navigation">

					<div class="myNavigation">

						<div class="hueLogo"><a href="https://developers.meethue.com"><img id="imgd" class src="https://developers.meethue.com/wp-content/themes/hue_developer_theme/img/site_logo.png"></a>

						</div>
						<br>	
						<div class="primary-menu-div">

							<div class="menu-main-menu-container"><ul id="primary-menu" class="menu"><li id="menu-item-183" class="leftMain menu-item menu-item-type-custom menu-item-object-custom menu-item-has-children menu-item-183"><a href="#">Explore</a>
<ul class="sub-menu">
	<li id="menu-item-176" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-176"><a href="https://developers.meethue.com/explore/why-develop-for-hue/">Why Develop for Hue</a></li>
	<li id="menu-item-2660" class="menu-item menu-item-type-custom menu-item-object-custom menu-item-2660"><a href="https://developers.meethue.com/explore/hue-app-showcase/">Hue App Showcase</a></li>
</ul>
</li>
<li id="menu-item-184" class="leftMain menu-item menu-item-type-custom menu-item-object-custom current-menu-ancestor current-menu-parent menu-item-has-children menu-item-184"><a href="#">Develop</a>
<ul class="sub-menu">
	<li id="menu-item-182" class="menu-item menu-item-type-post_type menu-item-object-page current-menu-item page_item page-item-122 current_page_item menu-item-182"><a href="https://developers.meethue.com/develop/get-started-2/" aria-current="page">Get Started</a></li>
	<li id="menu-item-181" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-181"><a href="https://developers.meethue.com/develop/application-design-guidance/">Application Design Guidance</a></li>
	<li id="menu-item-180" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-180"><a href="https://developers.meethue.com/develop/hue-api/">Hue API</a></li>
	<li id="menu-item-179" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-179"><a href="https://developers.meethue.com/develop/tools-and-sdks/">Tools and SDKs</a></li>
	<li id="menu-item-1352" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-1352"><a href="https://developers.meethue.com/develop/hue-entertainment/">Hue Entertainment</a></li>
</ul>
</li>
<li id="menu-item-746" class="leftMain menu-item menu-item-type-post_type menu-item-object-page menu-item-746"><a href="https://developers.meethue.com/support/">Support</a></li>
<li id="menu-item-2089" class="leftMain menu-item menu-item-type-post_type menu-item-object-page menu-item-2089"><a href="https://developers.meethue.com/job-vacancies/">Job Vacancies</a></li>
<li id="menu-item-748" class="leftMain menu-item menu-item-type-custom menu-item-object-custom menu-item-748"><a href="/forum">Forum</a></li>
<li id="menu-item-2087" class="rightMain menu-item menu-item-type-post_type menu-item-object-page  last_item menu-item-2087"><a href="https://developers.meethue.com/login/">Login</a></li>
</ul></div>						</div>
						<p class= "titleExplore">How to <span class="boldTitle">develop for Hue?</span></p>						</div>
					</nav><!-- #site-navigation -->

				</div>
			</header><!-- #masthead -->


			<div id="content" class="site-content">

<div id="primary" class="">

    <div class="localnavDiv">

        
        <ul class="localNav">


            <div class="menu-develop_menulocal-menu-container"><ul id="menu-develop_menulocal-menu" class="localNav"><li id="menu-item-174" class="localLeft menu-item menu-item-type-custom menu-item-object-custom current-menu-ancestor current-menu-parent menu-item-has-children menu-item-174"><a href="#">Develop</a>
<ul class="sub-menu">
	<li id="menu-item-160" class="localRight menu-item menu-item-type-post_type menu-item-object-page menu-item-160"><a href="https://developers.meethue.com/develop/tools-and-sdks/">Tools and SDKs</a></li>
	<li id="menu-item-1361" class="localRight menu-item menu-item-type-post_type menu-item-object-page menu-item-1361"><a href="https://developers.meethue.com/develop/hue-entertainment/">Hue Entertainment</a></li>
	<li id="menu-item-161" class="localRight menu-item menu-item-type-post_type menu-item-object-page menu-item-161"><a href="https://developers.meethue.com/develop/hue-api/">Hue API</a></li>
	<li id="menu-item-162" class="localRight menu-item menu-item-type-post_type menu-item-object-page menu-item-162"><a href="https://developers.meethue.com/develop/application-design-guidance/">Application Design Guidance</a></li>
	<li id="menu-item-163" class="localRight menu-item menu-item-type-post_type menu-item-object-page current-menu-item page_item page-item-122 current_page_item  last_item menu-item-163"><a href="https://developers.meethue.com/develop/get-started-2/" aria-current="page">Get Started</a></li>
</ul>
</li>
</ul></div>
        </ul>

    </div>

    <main id="main" class="site-main">

        <div class="menu-develop_menu-container"><ul id="menu-develop_menu" class="nav-menu"><li id="menu-item-130" class="localLi menu-item menu-item-type-post_type menu-item-object-page current-menu-item page_item page-item-122 current_page_item menu-item-130"><a href="https://developers.meethue.com/develop/get-started-2/" aria-current="page">Get Started</a></li>
<li id="menu-item-131" class="localLi menu-item menu-item-type-post_type menu-item-object-page menu-item-131"><a href="https://developers.meethue.com/develop/get-started-2/core-concepts/">Core Concepts</a></li>
<li id="menu-item-129" class="localLi menu-item menu-item-type-post_type menu-item-object-page  last_item menu-item-129"><a href="https://developers.meethue.com/develop/get-started-2/important-notes/">Important Notes</a></li>
</ul></div>
<article id="post-122" class="post-122 page type-page status-publish hentry category-uncategorized">
	<header class="entry-header">
		<h1 class="entry-title">Get Started</h1>		<span style="font-family:CentraleSans-Light; ;font-size:18px;">The fastest way to learn how to build apps which control the hue system is to use the simple test web app built into every bridge.  This lets you directly input commands and send them to the lights. You can look at the source HTML and JavaScript code for directions on how to do something different.     <span>
		</header><!-- .entry-header -->
		<img id="imgm" class src="https://developers.meethue.com/wp-content/themes/hue_developer_theme/img/moblogo.png"> 
				<div class="entry-content">

			<h2 id="findme"><a id="follow-3-easy-steps"></a>Follow 3 Easy Steps</h2>
<p>Step 1</p>
<p>First make sure your bridge is connected to your network and is functioning properly. Test that the smartphone app can control the lights on the same network.</p>
<p>Step 2</p>
<p>Then you need to discover the IP address of the bridge on your network. You can do this in a few ways.</p>
<p>NOTE &#8211; When you are ready to make a production app, you need to discover the bridge automatically using <span style="color: #ff6600;"><a style="color: #ff6600;" href="https://developers.meethue.com/develop/application-design-guidance/hue-bridge-discovery/">Hue Bridge Discovery Guide</a></span>.</p>
<p>1. Use a UPnP discovery app to find Philips hue in your network.<br />
2. Use our broker server discover process by visiting <span style="color: #ff6600;"><a style="color: #ff6600;" href="https://discovery.meethue.com/">https://discovery.meethue.com</a></span><br />
3. Log into your wireless router and look Philips hue up in the DHCP table.<br />
4. Hue App method: Download the official Philips hue app. Connect your phone to the network the hue bridge is on. Start the hue app(iOS described here). Push link connect to the bridge. Use the app to find the bridge and try controlling lights. All working &#8212; Go to the settings menu in the app. Go to My Bridge. Go to Network settings. Switch off the DHCP toggle. The ip address of the bridge will show. Note the ip address, then switch DHCP back on</p>
<p>Step 3</p>
<p>Once you have the address load the test app by visiting the following address in your web browser.</p>
<p><code>https://&lt;bridge ip address&gt;/debug/clip.html</code><br />
You should see an interface like this.<img src="https://developers.meethue.com/wp-content/uploads/2018/02/clip.png" /></p>
<p>Using this debugger utility you can populate the components of an HTTPS call – the basis of all web traffic and of the hue RESTful interface.</p>
<p><b>1. URL:</b> this is actually the local address of a specific resource (thing) inside the hue system. It could be light, a group of lights or many more things. This is the object you’ll be interacting with in this command.</p>
<p><b>2. A body:</b> this is the part of the message which describes what you want to change and how. Here you enter, in JSON format, the resource name and value you’d like to change/add.<br />
<b>3. A method:</b> here you have a choice of the 4 HTTPS methods the hue call can use.<br />
<b>GET: </b>this is the command to fetch all information about the addressed resource<br />
<b>PUT: </b>this is the command to modify an addressed resource<br />
<b>POST:</b> this is the command to create a new resource inside the addressed resource<br />
<b>DELETE: </b>this is the command to deleted the addressed resource<br />
<b>4. Response: </b>In this area you’ll see the response to your command. Also in JSON format.</p>
<h2 id="findme1"><a id="so-lets-get-started"></a>So let&#8217;s get started&#8230;</h2>
<p>First let’s do a very simple command and get information about your hue system.</p>
<p>Fill in the details below leaving the body box empty and press the <code>GET</code> button.</p>
<table style="height: 48px;">
<tbody>
<tr style="height: 24px;">
<td style="height: 24px;">URL</td>
<td style="height: 24px;"><code>/api/newdeveloper</code></td>
</tr>
<tr style="height: 24px;">
<td style="height: 24px;">Method</td>
<td style="height: 24px;"><code>GET</code></td>
</tr>
</tbody>
</table>
<p>You should see a response like below:</p>
<p><img src="https://developers.meethue.com/wp-content/uploads/2018/02/response.png" /></p>
<p>Congratulations you’ve just sent you first CLIP command!</p>
<p>Now this is the command to fetch all information in the bridge. You didn’t get much back and that’s because you’re using an unauthorized username “newdeveloper”.</p>
<p>We need to use the randomly generated username that the bridge creates for you. Fill in the info below and press the POST button.</p>
<table style="height: 72px;">
<tbody>
<tr style="height: 24px;">
<td style="height: 24px; width: 58px;">URL</td>
<td style="height: 24px; width: 360.667px;"><code>/api</code></td>
</tr>
<tr style="height: 24px;">
<td style="height: 24px; width: 58px;">Body</td>
<td style="height: 24px; width: 360.667px;"><code>{"devicetype":"my_hue_app#iphone peter"}</code></td>
</tr>
<tr style="height: 24px;">
<td style="height: 24px; width: 58px;">Method</td>
<td style="height: 24px; width: 360.667px;"><code>POST</code></td>
</tr>
</tbody>
</table>
<p>This command is basically saying please create a new resource inside /api (where usernames sit) with the following properties.</p>
<p>When you press the POST button you should get back an error message letting you know that you have to press the link button. This is our security step so that only apps you want to control your lights can. By pressing the button we prove that the user has physical access to the bridge.<img src="https://developers.meethue.com/wp-content/uploads/2018/02/postBridge.png" /></p>
<p>Go and press the button on the bridge and then press the <code>POST</code> button again and you should get a success response like below.</p>
<table>
<tbody>
<tr>
<td><img src="https://developers.meethue.com/wp-content/uploads/2018/02/SuccessResponse-1.png" /></td>
</tr>
</tbody>
</table>
<p>Congratulations you’ve just created an authorized user <code>(1028d66426293e821ecfd9ef1a0731df)</code>, which we’ll use from now on! Now if you do the first GET command again you should get a whole lot more information about what lights you have and their states. This data is all in JSON format so can be easily processed by your applications.</p>
<h2 id="findme2"><a id="turning-a-light-on-and-off"></a>Turning a light on and off</h2>
<p>Okay now that we have a username with permission to use the system lets start having some fun.</p>
<p>Each light has its own URL. You can see what lights you have with the following command:</p>
<table>
<tbody>
<tr>
<td>Address</td>
<td><code> https://&lt;bridge ip address&gt;/api/1028d66426293e821ecfd9ef1a0731df/lights</code></td>
</tr>
<tr>
<td>Method</td>
<td><code>GET</code></td>
</tr>
</tbody>
</table>
<p>You should get a JSON response with all the lights in your system and their names.</p>
<p>Now let’s get information about a specific light. The light with id 1.</p>
<table>
<tbody>
<tr>
<td>Address</td>
<td><code> https://&lt;bridge ip address&gt;/api/1028d66426293e821ecfd9ef1a0731df/lights/1</code></td>
</tr>
<tr>
<td>Method</td>
<td><code>GET</code></td>
</tr>
</tbody>
</table>
<p>In this response you can see all of the resources this light has. The most interesting ones are inside the state object as these are the ones we’ll have to interact with to control the light.</p>
<p>Lets’ start with the “on” attribute. This is a very simple attribute that can have 2 values: true and false. So let’s try turning the light off.</p>
<table>
<tbody>
<tr>
<td>Address</td>
<td><code> https://&lt;bridge ip address&gt;/api/1028d66426293e821ecfd9ef1a0731df/lights/1/state</code></td>
</tr>
<tr>
<td>Body</td>
<td><code>{"on":false}</code></td>
</tr>
<tr>
<td>Method</td>
<td><code>PUT</code></td>
</tr>
</tbody>
</table>
<p>Looking at the command you are sending we’re addressing the “state” object of light one and telling it to modify the “on” value inside it to false (or off). When you press the <code>PUT</code> button the light should turn off. Change the value in the body to true and the light will turn on again.</p>
<p>Now let’s do something a bit more fun and start changing some colors. Enter the command below.</p>
<table style="height: 69px;" width="492">
<tbody>
<tr>
<td style="width: 58px;">Address</td>
<td style="width: 525px;"><code> https://&lt;bridge ip address&gt;/api/1028d66426293e821ecfd9ef1a0731df/lights/1/state</code></td>
</tr>
<tr>
<td style="width: 58px;">Body</td>
<td style="width: 525px;"><code>{"on":true, "sat":254, "bri":254,"hue":10000}</code></td>
</tr>
<tr>
<td style="width: 58px;">Method</td>
<td style="width: 525px;"><code>PUT</code></td>
</tr>
</tbody>
</table>
<p>We’re interacting with the same “state” attributes here but now we’re modifying a couple more attributes. We’re making sure the light is on by setting the “on” resource to true. We’re also making sure the saturation (intensity) of the colors and the brightness is at its maximum by setting the “sat” and “bri” resources to 254. Finally we’re telling the system to set the “hue” (a measure of color) to 10000 points (hue runs from 0 to 65535). Try changing the hue value and keep pressing the <code>PUT</code> button and see the colour of your light changing running through different colors.</p>
<p><b>Now you understand the basics of the</b> commands you can send to hue through this tool – but we can also send the commands as part of an app.  Intrigued now?  Read more at <span style="color: #ff6600;"><a style="color: #ff6600;" href="https://developers.meethue.com/develop/get-started-2/core-concepts/">Core Concepts</a></span> (developer account required).</p>

			</div><!-- .entry-content -->

			<script>



				//  <div id="entry-anchor" class="entry-anchor">

				//var anchor_div = document.getElementById("entry-anchor");
				var anchor = document.getElementsByTagName("h2"); //take all h2

				if( anchor.length>0)
				{

					var anchor_div = document.createElement("div");
					anchor_div.setAttribute("class","entry-anchor");
 
					var para = document.createElement("p");
					para.setAttribute("class", "anchor-title");
					var text = document.createTextNode("On this page:");
					para.appendChild(text);
					anchor_div.appendChild(para);

					for (var i = 0; i < anchor.length; i++) {

						var children = anchor[i].children; //take all children, hopefully anchors  
						for (var ch = 0; ch < children.length; ch++) {
							var c = children[ch];
							if (c.nodeName == "A"); { //if the element is anchor    
								var id = c.id; // get the the id of each anchor
								var text = "";
								var text = anchor[i].innerHTML;
								var a = document.createElement("a");
								a.setAttribute("class","findthem");
								a.href="#"+id;
								a.innerHTML = text;
								linebreak = document.createElement("br");
								if (i > 0){
									var hr = document.createElement("hr");
									anchor_div.appendChild(hr);
								}
								// anchor_div.appendChild(linebreak);
								anchor_div.appendChild(a); //div+anchors
							}

						}
					}  
 
					var article= document.getElementsByTagName("article");//find the article where i need the div

					article[0].appendChild(anchor_div);


				}

				</script>


				</article><!-- #post-122 -->
</body>



    </main><!-- #main -->
</div>
</div>
</div>  
<!-- #primary -->


        
<footer class="hue-footer">
	<div class="mobileTest">
		<div class="philips-logo">
			<img class="philLogo" src="https://developers.meethue.com/wp-content/themes/hue_developer_theme/img/footer_logo.png">
            
		</div>
    
		<div class="philips-social-media">
			<p class="connecting" >Connect with us<p>
				<a href="https://twitter.com/philipshuedev">   <img class= "socLogoL" src="https://developers.meethue.com/wp-content/themes/hue_developer_theme/img/tw.png"></a>
                 
			</div>
    
			<div class="hue-footer-nav">
				<a class="navLink" href="https://developers.meethue.com/support/">Contact</a>
				<a  class="navLink" href="https://developers.meethue.com/terms-of-use-and-conditions/">Terms & Conditions</a>
				<a  class="navLink" href="https://www.signify.com/global/privacy/legal-information/privacy-notice">Privacy</a>
				<a class="navLink" href="https://www.signify.com/global/product-security">Product Security</a>
			</div>
    
			<div class="hue-footer-copyright">
				<p class="rights" >©2018-2019 Signify Holding. All rights reserved.</p>
			</div>

		</div>
	</footer><!-- #colophon -->

	
<div id="um_upload_single" style="display:none"></div>
<div id="um_view_photo" style="display:none">

	<a href="javascript:void(0);" data-action="um_remove_modal" class="um-modal-close"><i class="um-faicon-times"></i></a>

	<div class="um-modal-body photo">
		<div class="um-modal-photo"></div>
	</div>

</div><script type="text/javascript">!function(t,e){"use strict";function n(){if(!a){a=!0;for(var t=0;t<d.length;t++)d[t].fn.call(window,d[t].ctx);d=[]}}function o(){"complete"===document.readyState&&n()}t=t||"docReady",e=e||window;var d=[],a=!1,c=!1;e[t]=function(t,e){return a?void setTimeout(function(){t(e)},1):(d.push({fn:t,ctx:e}),void("complete"===document.readyState||!document.attachEvent&&"interactive"===document.readyState?setTimeout(n,1):c||(document.addEventListener?(document.addEventListener("DOMContentLoaded",n,!1),window.addEventListener("load",n,!1)):(document.attachEvent("onreadystatechange",o),window.attachEvent("onload",n)),c=!0)))}}("wpBruiserDocReady",window);
			(function(){var wpbrLoader = (function(){var g=document,b=g.createElement('script'),c=g.scripts[0];b.async=1;b.src='https://developers.meethue.com/?gdbc-client=3.1.40-'+(new Date()).getTime();c.parentNode.insertBefore(b,c);});wpBruiserDocReady(wpbrLoader);window.onunload=function(){};window.addEventListener('pageshow',function(event){if(event.persisted){(typeof window.WPBruiserClient==='undefined')?wpbrLoader():window.WPBruiserClient.requestTokens();}},false);})();
</script><script type='text/javascript' src='https://developers.meethue.com/wp-content/themes/hue_developer_theme/js/navigation.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/themes/hue_developer_theme/js/skip-link-focus-fix.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/newsletter-leads/libs/simplemodal/jquery.simplemodal.js'></script>
<script type='text/javascript'>
/* <![CDATA[ */
var newsletter = {"messages":{"email_error":"The email is not correct","name_error":"The name is not correct","surname_error":"The last name is not correct","profile_error":"A mandatory field is not filled in","privacy_error":"You must accept the privacy statement"},"profile_max":"20"};
/* ]]> */
</script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/newsletter/subscription/validate.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/enlighter/resources/enlighterjs/enlighterjs.min.js'></script>
<script type='text/javascript'>
!function(n,o){"undefined"!=typeof EnlighterJS?(n.EnlighterJSINIT=function(){EnlighterJS.init("pre.EnlighterJSRAW", "code.EnlighterJSRAW", {"indent":4,"ampersandCleanup":true,"linehover":true,"rawcodeDbclick":true,"textOverflow":"break","linenumbers":false,"theme":"atomic","language":"cpp","retainCssClasses":false,"collapse":false,"toolbarOuter":"","toolbarTop":"{BTN_RAW}{BTN_COPY}{BTN_WINDOW}{BTN_WEBSITE}","toolbarBottom":""})})():(o&&(o.error||o.log)||function(){})("Error: EnlighterJS resources not loaded yet!")}(window,console);
</script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/select2/select2.full.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/underscore.min.js'></script>
<script type='text/javascript'>
/* <![CDATA[ */
var _wpUtilSettings = {"ajax":{"url":"\/wp-admin\/admin-ajax.php"}};
/* ]]> */
</script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/wp-util.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-crop.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-modal.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-jquery-form.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-fileupload.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/pickadate/picker.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/pickadate/picker.date.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/pickadate/picker.time.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/pickadate/legacy.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/dist/vendor/wp-polyfill.min.js'></script>
<script type='text/javascript'>
( 'fetch' in window ) || document.write( '<script src="https://developers.meethue.com/wp-includes/js/dist/vendor/wp-polyfill-fetch.min.js"></scr' + 'ipt>' );( document.contains ) || document.write( '<script src="https://developers.meethue.com/wp-includes/js/dist/vendor/wp-polyfill-node-contains.min.js"></scr' + 'ipt>' );( window.FormData && window.FormData.prototype.keys ) || document.write( '<script src="https://developers.meethue.com/wp-includes/js/dist/vendor/wp-polyfill-formdata.min.js"></scr' + 'ipt>' );( Element.prototype.matches && Element.prototype.closest ) || document.write( '<script src="https://developers.meethue.com/wp-includes/js/dist/vendor/wp-polyfill-element-closest.min.js"></scr' + 'ipt>' );
</script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/dist/i18n.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-raty.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-tipsy.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/imagesloaded.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/masonry.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/jquery/jquery.masonry.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/simplebar.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-functions.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-responsive.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-conditional.min.js'></script>
<script type='text/javascript'>
/* <![CDATA[ */
var um_scripts = {"nonce":"dd149c72ab"};
/* ]]> */
</script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-scripts.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/jquery/ui/core.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/jquery/ui/widget.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/jquery/ui/mouse.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/jquery/ui/slider.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/dropdown.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/dist/hooks.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-members.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-profile.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-content/plugins/ultimate-member/assets/js/um-account.min.js'></script>
<script type='text/javascript' src='https://developers.meethue.com/wp-includes/js/wp-embed.min.js'></script>

                <script>
                    function newsletter_set_cookie(name, value, time) {
                        var e = new Date();
                        e.setTime(e.getTime() + time * 24 * 60 * 60 * 1000);
                        document.cookie = name + "=" + value + "; expires=" + e.toGMTString() + "; path=/";
                    }
                    function newsletter_get_cookie(name, def) {
                        var cs = document.cookie.toString().split('; ');
                        var c, n, v;
                        for (var i = 0; i < cs.length; i++) {
                            c = cs[i].split("=");
                            n = c[0];
                            v = c[1];
                            if (n == name)
                                return v;
                        }
                        return def;
                    }
                    jQuery(document).ready(function () {

                                        if (newsletter_get_cookie("newsletter", null) == null) {
                                var newsletter_leads = parseInt(newsletter_get_cookie("newsletter_leads", 0));
                                newsletter_set_cookie("newsletter_leads", newsletter_leads + 1, 30);
                                if (newsletter_leads == 1) {
                                    setTimeout(newsletter_leads_open, 2000);
                                }
                            }
            
                    });

                    function newsletter_leads_open() {
                        jQuery.get("https://developers.meethue.com/?na=leads-popup", function (html) {
                            jQuery.modal(html,
                                    {
                                        autoResize: true,
                                        barClose: true,
                                        zIndex: 99000,
                                        onOpen: function (dialog) {
                                            dialog.overlay.fadeIn('fast');
                                            dialog.container.fadeIn('slow');
                                            dialog.data.fadeIn('slow');
                                        },
                                        closeHTML: '<a class="modalCloseImg" title="Close"><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="24px" height="24px" viewBox="0 0 24 24"><g  transform="translate(0, 0)"><circle fill="#fff" stroke="#fff" stroke-width="1" stroke-linecap="square" stroke-miterlimit="10" cx="12" cy="12" r="11" stroke-linejoin="miter"/><line data-color="color-2" fill="#fff" stroke="#343434" stroke-width="1" stroke-linecap="square" stroke-miterlimit="10" x1="16" y1="8" x2="8" y2="16" stroke-linejoin="miter"/><line data-color="color-2" fill="none" stroke="#343434" stroke-width="1" stroke-linecap="square" stroke-miterlimit="10" x1="16" y1="16" x2="8" y2="8" stroke-linejoin="miter"/></g></svg></a>'
                                    });
                        });
                    }
                </script>
            		<script type="text/javascript">
			jQuery( '#request' ).val( '' );
		</script>
		<script src="//www.lighting.philips.com/assets/scripts/wa_code.js" async></script> 
	<script>window._satellite && _satellite.pageBottom();</script> 

</body>
</html>
<!--
Performance optimized by W3 Total Cache. Learn more: https://www.boldgrid.com/w3-total-cache/

Object Caching 108/116 objects using memcached

Served from: developers.meethue.com @ 2020-04-21 02:25:38 by W3 Total Cache
-->